generator:
  class: sfDoctrineGenerator
  param:
    model_class:           CcPerson
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          cc_person
    with_doctrine_route:   true
    actions_base_class:    sfActions

    config:
      actions: ~
      fields:
        firstname:  { label: "Prénom" }
        lastname:   { label: "Nom" }
        email:      { label: "Adresse email" }
      list:
        title: Liste des agents
        display:  [firstname,lastname,email]
        sort:     [lastname,asc]
        max_per_page: 30
      filter:
        display:  [firstname, lastname, email, arrivaldate, departuredate]
        fields:
          firstname:      { label: "Prénom" }
          lastname:       { label: "Nom" }
          email:          { label: "Adresse email" }
          arrivaldate:    { label: "Date d'arrivée" }
          departuredate:  { label: "Date de départ" }
      form:    ~
      edit:    ~
      new:
        title: Ajouter un nouvel agent
